astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- ASCII Tables (`astropy.io.ascii`) »
- FixedWidthData

# FixedWidthData

class `astropy.io.ascii.fixedwidth.``FixedWidthData`

  Bases: `astropy.io.ascii.core.BaseData`

  Base table data reader.

  Parameters:

  - start_line – None, int, or a function of `lines` that returns None or int
  - end_line – None, int, or a function of `lines` that returns None or int
  - comment – Regular expression for comment lines
  - splitter_class – Splitter class for splitting data lines into columns

  Methods Summary

  `write`(lines) |

  Methods Documentation

  `write`(lines)